Main Page Packages Class Hierarchy Compound List File List Compound Members

# documentgetimplementation Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documentgetimplementation (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getImplementation()" method returns the DOMImplementation object that handles this document. Retrieve the entire DOM document and invoke its "getImplementation()" method. It should return a DOMImplementation whose "hasFeature("XML","1.0") method returns the boolean value "true".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1B793EBA

Definition at line 44 of file documentgetimplementation.java.

## Constructor & Destructor Documentation

documentgetimplementation::documentgetimplementation | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 46 of file documentgetimplementation.java.
    00047  {
    00048       super(factory);
    00049
    00050    }

## Member Function Documentation

String documentgetimplementation::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 62 of file documentgetimplementation.java.
    00062                                 {
    00063       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documentgetimplementation";
    00064    }

void documentgetimplementation::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 65 of file documentgetimplementation.java. References DOMTestCase::doMain().
    00065                                           {
    00066         DOMTestCase.doMain(documentgetimplementation.class,args);
    00067    }

void documentgetimplementation::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 52 of file documentgetimplementation.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00052                                                     {
    00053       Document doc;
    00054       DOMImplementation docImpl;
    00055       boolean state;
    00056       doc = load("staff");
    00057       docImpl = doc.getImplementation();
    00058 state = docImpl.hasFeature("XML","1.0");
    00059 assertTrue("documentGetImplementationAssert",state);
    00060
    00061    }

The documentation for this class was generated from the following file:

- documentgetimplementation.java